# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2018-01-11 10:17
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('mainApp', '0052_auto_20180111_0657'),
    ]

    operations = [
        
        migrations.RemoveField(
            model_name='wishlist',
            name='book',
        ),
        
        migrations.AddField(
            model_name='wishlist',
            name='item',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='define_wishlist_object', to='contenttypes.ContentType'),
        ),
        migrations.AddField(
            model_name='wishlist',
            name='wishlist_object_id',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='wishlist',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser'),
        ),
    ]
